---
title: DOMLocator
slug: Web/API/DOMLocator
tags:
  - API
  - DOM
  - DOM Reference
  - Obsolete
  - Reference
---
<p>{{APIRef("DOM")}}{{obsolete_header}}</p>

<div class="warning">
<p>NOTE: This is not implemented in Mozilla</p>
</div>

<p>Indicates a location such as where an error occurred. Returned by <code>DOMError.location</code>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DOMLocator.lineNumber")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
 <dt>{{domxref("DOMLocator.columnNumber")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
 <dt>{{domxref("DOMLocator.byteOffset")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
 <dt>{{domxref("DOMLocator.utf16Offset")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
 <dt>{{domxref("DOMLocator.relatedNode")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
 <dt>{{domxref("DOMLocator.uri")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a positive integer or -1.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface neither implements, nor inherits, any method.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#Interfaces-DOMLocator", "DOMLocator")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
